Subject: Re: bug#12242: Emacs 24.2 RC1 build fails on OpenBSD

From: Eli Zaretskii <[email-masked]>
Date: Tue, 21 Aug 2012 19:49:52 +0300

> Date: Tue, 21 Aug 2012 06:03:37 +0300
> From: Eli Zaretskii <[email-masked]>
> Cc: [email-masked]
> 
> I think I see the problem and will fix it later today.

Actually, no, I don't think I see the problem.  What does the
following GDB command print in frame #0?

  (gdb) p *heap

Also, could you please run Emacs under GDB, and when it crashes, type
the following commands, which define a new command "heaps", and then
run it?  Like this:

  (gdb) define heaps
  Type commands for definition of "heaps".
  End with a line saying just "end".
  >set $a = first_heap
  >while $a
   >p *$a
   >set $a = $a->next
   >end
  >end
  (gdb) heaps

Please post here everything that GDB prints as result.

Thanks.